SDL_Keysym Struct Reference

The SDL keysym structure, used in key events. More...

`#include <SDL_keyboard.h>`

## Data Fields

SDL_Scancode | scancode
SDL_Keycode | sym
Uint16 | mod
Uint32 | unused

## Detailed Description

The SDL keysym structure, used in key events.

Note
  If you are looking for translated character input, see the SDL_TEXTINPUT event.

Definition at line 47 of file SDL_keyboard.h.

## Field Documentation

## mod

Uint16 SDL_Keysym::mod

current key modifiers

Definition at line 51 of file SDL_keyboard.h.

Referenced by loop().

## scancode

SDL_Scancode SDL_Keysym::scancode

SDL physical key code - see SDL_Scancode for details

Definition at line 49 of file SDL_keyboard.h.

Referenced by main(), PrintKey(), and SDLTest_PrintEvent().

## sym

SDL_Keycode SDL_Keysym::sym

SDL virtual key code - see SDL_Keycode for details

Definition at line 50 of file SDL_keyboard.h.

Referenced by iteration(), loop(), main(), PrintKey(), SDLTest_CommonEvent(), SDLTest_PrintEvent(), and WatchJoystick().

## unused

Uint32 SDL_Keysym::unused

Definition at line 52 of file SDL_keyboard.h.

The documentation for this struct was generated from the following file:

- include/SDL_keyboard.h